Referenta
POST
/api/v1/knowledgebase/documents

Searches the internal document index using the typed filter, pagination, and scope fields defined in the request schema.

Authorization

dashboardSession
sb-access-token<token>

Authenticated dashboard session cookie. Some routes also rely on additional Supabase SSR cookies.

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/knowledgebase/documents" \  -H "Content-Type: application/json" \  -d '{}'
{
  "documents": [
    {}
  ],
  "total": 0
}
{
  "error": "string",
  "details": "string",
  "receivedKeys": [
    "string"
  ]
}
{
  "error": "string",
  "details": "string",
  "receivedKeys": [
    "string"
  ]
}